Loading...
Searching...
No Matches
BALL::ComposedEnergyProcessor Class Reference
Molecular Modeling » Energy evaluation (non-MM) » Miscellaneous

`#include <BALL/ENERGY/composedEnergyProcessor.h>`

Inheritance diagram for BALL::ComposedEnergyProcessor:

## Public Member Functions

Constructors and destructors
| ComposedEnergyProcessor ()
| ComposedEnergyProcessor (const ComposedEnergyProcessor &composed_energy_proc)
| ComposedEnergyProcessor (EnergyProcessorList proc_list)
virtual | ~ComposedEnergyProcessor ()
Assignment
const ComposedEnergyProcessor & | operator= (const ComposedEnergyProcessor &proc)
virtual void | clear ()
Processor functions
virtual bool | finish ()
Accessors
void | addComponent (EnergyProcessor *proc)
void | removeComponent (EnergyProcessor *proc)
Size | getNumberOfEnergyProcessors () const
Public Member Functions inherited from BALL::EnergyProcessor
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
double | getEnergy () const
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Predicates

EnergyProcessorList | components_
bool | operator== (const ComposedEnergyProcessor &proc) const

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
const AtomContainer * | fragment_
double | energy_
bool | valid_

## Detailed Description

A class for composed energy calculations. Most energies are compositions of several energy contributions. To model this in a convenient way this class is intended to calculate and sum a given list of energy contributions.

See also
  EnergyProcessor

Definition at line 34 of file composedEnergyProcessor.h.

## Constructor & Destructor Documentation

## ComposedEnergyProcessor() [1/3]

BALL::ComposedEnergyProcessor::ComposedEnergyProcessor | ( |  | ) |

Default constructor

## ComposedEnergyProcessor() [2/3]

BALL::ComposedEnergyProcessor::ComposedEnergyProcessor | ( | const ComposedEnergyProcessor & | composed_energy_proc | ) |

Copy constructor

## ComposedEnergyProcessor() [3/3]

BALL::ComposedEnergyProcessor::ComposedEnergyProcessor | ( | EnergyProcessorList | proc_list | ) |

Detailed constructor

## ~ComposedEnergyProcessor()

virtual BALL::ComposedEnergyProcessor::~ComposedEnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## addComponent()

void BALL::ComposedEnergyProcessor::addComponent | ( | EnergyProcessor * | proc | ) |

Add a component to the list of EnergyProcessors

## clear()

virtual void BALL::ComposedEnergyProcessor::clear | ( |  | ) |

virtual

Clear method. Clears the calculated energy and the list of processors.

Reimplemented from BALL::EnergyProcessor.

## finish()

virtual bool BALL::ComposedEnergyProcessor::finish | ( |  | ) |

virtual

Do all calculations and sum up the different energy contributions

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## getNumberOfEnergyProcessors()

Size BALL::ComposedEnergyProcessor::getNumberOfEnergyProcessors | ( |  | ) | const

Get number of added EnergyProcessors.

## operator=()

const ComposedEnergyProcessor & BALL::ComposedEnergyProcessor::operator= | ( | const ComposedEnergyProcessor & | proc | ) |

Assignment operator

## operator==()

bool BALL::ComposedEnergyProcessor::operator== | ( | const ComposedEnergyProcessor & | proc | ) | const

Equality operator

## removeComponent()

void BALL::ComposedEnergyProcessor::removeComponent | ( | EnergyProcessor * | proc | ) |

remove a component from the list

## Member Data Documentation

## components_

EnergyProcessorList BALL::ComposedEnergyProcessor::components_

protected

Definition at line 116 of file composedEnergyProcessor.h.